diff --git a/src/bin/pg_dump/pg_dump.c b/src/bin/pg_dump/pg_dump.c
index ccbc1d8..834464b 100644
*** a/src/bin/pg_dump/pg_dump.c
--- b/src/bin/pg_dump/pg_dump.c
*************** getForeignDataWrappers(int *numForeignDa
*** 5473,5479 ****
  	appendPQExpBuffer(query, "SELECT tableoid, oid, fdwname, "
  		"(%s fdwowner) AS rolname, fdwvalidator::pg_catalog.regproc, fdwacl,"
  					  "array_to_string(ARRAY("
! 		 "		SELECT option_name || ' ' || quote_literal(option_value) "
  	   "		FROM pg_options_to_table(fdwoptions)), ', ') AS fdwoptions "
  					  "FROM pg_foreign_data_wrapper",
  					  username_subquery);
--- 5473,5480 ----
  	appendPQExpBuffer(query, "SELECT tableoid, oid, fdwname, "
  		"(%s fdwowner) AS rolname, fdwvalidator::pg_catalog.regproc, fdwacl,"
  					  "array_to_string(ARRAY("
! 		 "		SELECT quote_ident(option_name) || ' ' || "
! 		 "             quote_literal(option_value) "
  	   "		FROM pg_options_to_table(fdwoptions)), ', ') AS fdwoptions "
  					  "FROM pg_foreign_data_wrapper",
  					  username_subquery);
*************** getForeignServers(int *numForeignServers
*** 5558,5564 ****
  					  "(%s srvowner) AS rolname, "
  					  "srvfdw, srvtype, srvversion, srvacl,"
  					  "array_to_string(ARRAY("
! 		 "		SELECT option_name || ' ' || quote_literal(option_value) "
  	   "		FROM pg_options_to_table(srvoptions)), ', ') AS srvoptions "
  					  "FROM pg_foreign_server",
  					  username_subquery);
--- 5559,5566 ----
  					  "(%s srvowner) AS rolname, "
  					  "srvfdw, srvtype, srvversion, srvacl,"
  					  "array_to_string(ARRAY("
! 		 "		SELECT quote_ident(option_name) || ' ' || "
! 		 "             quote_literal(option_value) "
  	   "		FROM pg_options_to_table(srvoptions)), ', ') AS srvoptions "
  					  "FROM pg_foreign_server",
  					  username_subquery);
*************** dumpUserMappings(Archive *fout,
*** 9576,9582 ****
  
  	appendPQExpBuffer(query,
  					  "SELECT usename, "
! 					  "array_to_string(ARRAY(SELECT option_name || ' ' || quote_literal(option_value) FROM pg_options_to_table(umoptions)), ', ') AS umoptions\n"
  					  "FROM pg_user_mappings "
  					  "WHERE srvid = %u",
  					  catalogId.oid);
--- 9578,9584 ----
  
  	appendPQExpBuffer(query,
  					  "SELECT usename, "
! 					  "array_to_string(ARRAY(SELECT quote_ident(option_name) || ' ' || quote_literal(option_value) FROM pg_options_to_table(umoptions)), ', ') AS umoptions\n"
  					  "FROM pg_user_mappings "
  					  "WHERE srvid = %u",
  					  catalogId.oid);
